#!/usr/bin/env bash
export PATH=/usr/local/bin:/usr/bin:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/c/Program\ Files/Microsoft\ SQL\ Server/90/Tools/Binn/:/bin:/usr/lib/lapack

while getopts "a:h" flag; do
    case $flag in
        h) assert=true;;
        a) opt_a="$OPTARG"; opt_a_on=true;;
    esac
done

[ ! "$opt_a_on" = true ] && assert=true

## assertion ##
if [ "$assert" = true ]; then
    echo >&2 "usage: $0 -a arch"
    echo >&2 "     -a arch : specify arch. (32/64)"
    exit 1
fi

export build_start_datetime=$(date +%Y%m%d_%H%M%S)
if [ ! -e library ]; then
    echo "please check mbedtls prepared correctly: mbedtls-VERSION/library"
    exit 1
fi
export PATH="$PATH:/cygdrive/c/Program Files/Microsoft Visual Studio 9.0/Common7/IDE/"
export CFLAGS='/I ../include /O2 /Ob1 /D "WIN32" /D "_WINDOWS" /D "NDEBUG" /MT /W3 /nologo /c /Zi'
export INCLUDE="C:\Program Files\Microsoft Visual Studio 9.0\VC\ATLMFC\INCLUDE;C:\Program Files\Microsoft Visual Studio 9.0\VC\INCLUDE;C:\Program Files\\Microsoft SDKs\Windows\v6.0A\include;"

cd library

if [ $opt_a == "32" ]; then
    export CC="/cygdrive/c/Program Files/Microsoft Visual Studio 9.0/VC/bin/cl.exe"
    export AR="/cygdrive/c/Program Files/Microsoft Visual Studio 9.0/VC/bin/lib.exe"
elif [ $opt_a == "64" ]; then
    export CC="/cygdrive/c/Program Files/Microsoft Visual Studio 9.0/VC/bin/x86_amd64/cl.exe"
    export AR="/cygdrive/c/Program Files/Microsoft Visual Studio 9.0/VC/bin/x86_amd64/lib.exe"
else
    echo "\"-a\" option accepts only \"32\" or \"64\""
    exit 1
fi

cat <<EOF > ../include/stdint.h
/* mbedtls requires MSVC 2010 or above version and requires C99 types such
   as uint32_t in stdint.h since version 2.0.0.
   See ChangeLog for more details.
*/
#ifndef STDINT_H
#define STDINT_H

typedef __int8 int8_t;
typedef unsigned __int8 uint8_t;
typedef __int16 int16_t;
typedef unsigned __int16 uint16_t;
typedef __int32 int32_t;
typedef unsigned __int32 uint32_t;
typedef __int64 int64_t;
typedef unsigned __int64 uint64_t;

#endif
EOF

for lib in crypto x509 tls; do
    eval $(sed -ne '/^OBJS_'${lib^^}'=/,/[^\\]$/p' Makefile | sed -e 's/OBJS_'${lib^^}'=/OBJS="/' -e 's/[^\]$/&"/' | tr -d '\\')
    for OBJ in $OBJS; do echo $OBJ | sed 's@^\(.*\).o$@"$CC" $CFLAGS \1.c@' | eval $(cat) | iconv -f cp932 -t utf-8 ; done
    "$AR" /nologo /OUT:mbed$lib.lib $(echo $OBJS | sed 's/\.o/\.obj/g') | iconv -f cp932 -t utf-8
done

mkdir -p ../../mbedtls_lib
cp *.lib ../../mbedtls_lib/
cp vc90.pdb ../../mbedtls_lib/mbedtls.pdb
cp -r ../include ../../mbedtls_include
