%define distversion %(grep -i "release ." -o /etc/redhat-release |cut -c 9 2> /dev/null)
%define is_ML3 %(if [ "%distversion" = "3" ]; then echo 1; else echo 0; fi)
%define is_ML4 %(if [ "%distversion" = "4" ]; then echo 1; else echo 0; fi)
%define is_ML5 %(if [ "%distversion" = "5" ]; then echo 1; else echo 0; fi)
%define is_ML6 %(if [ "%distversion" = "6" ]; then echo 1; else echo 0; fi)
%define is_ML7 %(if [ "%distversion" = "7" ]; then echo 1; else echo 0; fi)
%define is_ML8 %(if [ "%distversion" = "8" ]; then echo 1; else echo 0; fi)
%define mysqlver55 %(rpm -q mysql|cut -d '-' -f2|awk -F '.' '{print $1$2}'|grep 55 > /dev/null 2>&1 && echo 1 || echo 0)
%define is_amzn2 %(grep -i "Amazon Linux release 2" /etc/system-release > /dev/null 2>&1 && echo 1 || echo 0)

%{!?is_mysql:%define is_mysql 1}
%{!?is_pgsql:%define is_pgsql 1}
%{!?is_mbedtls:%define is_mbedtls 1}
%{!?is_java:%define is_java 1}
%{!?is_proxy:%define is_proxy 1}
%{!?is_server:%define is_server 1}

%define dist ML%{?distversion}
%if %is_amzn2
%define dist amzn2
%endif
%if %mysqlver55
%define mysqlstr mysql55
%endif

%if %is_ML7 || %is_ML8 || %is_amzn2
%if !%is_server && !%is_proxy && !%is_java
%define only_agent 1
%else
%define only_agent 0
%endif
%define use_systemd 1
%else
%define only_agent 1
%define use_systemd 0
%endif

%if %is_ML6 || %is_ML7 || %is_ML8 || %is_amzn2
%define use_libcurl 1
%else
%define use_libcurl 0
%endif

%define _default_patch_fuzz 2
%define original_name zabbix
###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
%define mbedtls_version 2.7.12
%define pcre_version 8.43
%define curl_version 7.65.3
%define src_release 1
%{!?relcan:%define relcan %{nil}}
Name:           miracle-zbx
Version:        4.0.16
Release:        %{src_release}.%{?dist}%{?mysqlstr}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPL
URL:            https://www.miraclelinux.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON SOURCE LIST START (DO NOT DELETE)
###################################################################################
Source0:        http://downloads.sourceforge.net/%{original_name}/%{original_name}-%{version}%{relcan}.tar.gz
Source1:        zabbix-web.conf
Source3:        zabbix-agent.init
Source5:        zabbix-logrotate.in
Source19:       zabbix-agent.service
Source24:       zabbix-java-gateway.service
Source25:       zabbix-tmpfs.conf
Source26:       zabbix-server.service
Source27:       zabbix-proxy.service
Source30:       icon-sprite.svg
Source31:       init_zbx.sh
Source32:       zabbix-agent.init.aix
Source33:       zabbix_java_gateway-sysd
Source34:       favicon.ico
Source35:       mbedtls-%{mbedtls_version}-gpl.tgz
Source36:       build_mbedtls_for_unix.sh
Source37:       build_mbedtls_for_win.sh
Source38:       pcre-%{pcre_version}.tar.gz
Source39:       brand.conf.php
Source40:       zabbix-wait-pidfile.sh
Source41:       curl-%{curl_version}.tar.gz
Source42:       zabbix-web-php72.conf
Source43:       zabbix-web-php-fpm.conf
###################################################################################
# COMMON SOURCE LIST END (DO NOT DELETE)
###################################################################################

###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch0:         config.patch
Patch1:         zabbix-datasql.patch
Patch3:         fonts-config.patch
Patch6:         zabbix-fix_for_aix61.patch
Patch7:         zabbix-windows_build.patch
Patch8:         zabbix-reload_config.patch
Patch10:        zabbix-fix_cflags.patch
Patch14:        zabbix-show_history_in_event.patch
Patch22:        zabbix-fix_some_log.patch
Patch24:        zabbix-ML-copyright-replacement.patch
Patch27:        zabbix-long_telnet_command_fix.patch
Patch33:        zabbix-add_graph_csv_output.patch
Patch35:        zabbix-add_dbupdate_option.patch
Patch36:        zabbix-fix_format_message_crash.patch
Patch38:        zabbix-fix_eventlog_message_logic.patch
Patch40:        zabbix-add_eventlog_ext.patch
Patch42:        zabbix-fix_sending_recovery_mail.patch
Patch43:        zabbix-fix_query_wrong_last_data.patch
Patch44:        zabbix-fix_memory_leak_in_trendcache.patch
Patch46:        zabbix-add-cpu_time-to-proc_info-on-windows.patch
Patch48:        zabbix-unsupport_long_item_key.patch
Patch51:        zabbix-support_tabulardatasupport_java_type.patch
Patch57:        zabbix-enable_option_with_mbedtls_for_tls_protocol.patch
Patch58:        zabbix-add_trap_receiver.patch
Patch60:        zabbix-add_macro_ITEM.TYPE.patch
Patch61:        zabbix-update_to_tlsv1.patch
Patch64:        zabbix-fix_zbx_execute_crash_by_sigpipe.patch
Patch67:        zabbix-add-enable_set_history_trends_on_web_monitoring.patch
Patch69:        zabbix-add_permitting_to_change_syslog_facility.patch
Patch70:        zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch
Patch71:        zabbix-limit_alert_number.patch
Patch75:        zabbix-support_mbedtls21.patch
Patch76:        zabbix-translate_show_history.patch
Patch79:        zabbix-add_runtime_control_feature_for_snmptrapper.patch
Patch80:        zabbix-fix_supervising_process.patch
Patch81:        zabbix-add_libcurl_support_for_windows.patch
Patch83:        zabbix-add_RTC_logfile_redirect.patch
Patch84:        zabbix-add_RTC_value_cache_manage.patch
Patch85:        zabbix-add_end_of_month_maintenance_type.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if !%only_agent
%if %is_mysql
%if %is_ML8
BuildRequires:   mariadb-devel
%else
BuildRequires:   mysql-devel
%endif
%endif
%if %is_pgsql
BuildRequires:   postgresql-devel
%endif
BuildRequires:   net-snmp-devel
BuildRequires:   openldap-devel
BuildRequires:   gnutls-devel
BuildRequires:   iksemel-devel
BuildRequires:   unixODBC-devel
BuildRequires:   libssh2-devel >= 1.0.0
BuildRequires:   libxml2-devel
BuildRequires:   gettext
%if %is_ML8 || %is_amzn2
BuildRequires:   java-1.8.0-openjdk-devel >= 1.8.0
%else
BuildRequires:   java-1.6.0-openjdk-devel >= 1.6.0
%endif
BuildRequires:   libcurl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.14
BuildRequires:   libevent-devel
%if %use_systemd
BuildRequires:   systemd-units
%endif
%endif

Requires:        logrotate
Requires(pre):   /usr/sbin/useradd

%description
MIRACLE ZBX is software that monitors numerous parameters of a
network and the health and integrity of servers. MIRACLE ZBX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. MIRACLE ZBX
offers excellent reporting and data visualisation features
based on the stored data. This makes MIRACLE ZBX ideal for
capacity planning.

MIRACLE ZBX supports both polling and trapping. All MIRACLE ZBX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, MIRACLE ZBX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%if !%only_agent

%if %is_mysql
%package server-mysql
Summary:         MIRACLE ZBX server compiled to use MySQL
Group:           Applications/Internet
Requires:        fping
Requires:        iksemel
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
%if %is_ML8
Requires:        mariadb
%else
Requires:        mysql
%endif
Requires:        libevent
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):         /sbin/chkconfig
Requires(preun):        /sbin/chkconfig
Requires(preun):        /sbin/service
Requires(postun):       /sbin/service
%endif
Provides:        zabbix
Provides:        zabbix-server
Provides:        zabbix-server-mysql
Provides:        zabbix-server-implementation
Obsoletes:       zabbix
Obsoletes:       zabbix-server
Obsoletes:       zabbix-server-mysql
Conflicts:       miracle-zbx-server-pgsql
Conflicts:       miracle-zbx-proxy

%description server-mysql
MIRACLE ZBX server compiled to use MySQL
%endif

%if %is_pgsql
%package server-pgsql
Summary:         MIRACLE ZBX server compiled to use PostgresSQL
Group:           Applications/Internet
Requires:        fping
Requires:        iksemel
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires:        postgresql
Requires:        libevent
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):         /sbin/chkconfig
Requires(preun):        /sbin/chkconfig
Requires(preun):        /sbin/service
Requires(postun):       /sbin/service
%endif
Provides:        zabbix
Provides:        zabbix-server
Provides:        zabbix-server-pgsql
Provides:        zabbix-server-implementation
Obsoletes:       zabbix
Obsoletes:       zabbix-server
Obsoletes:       zabbix-server-pgsql
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-proxy

%description server-pgsql
MIRACLE ZBX server compiled to use PostgresSQL
%endif
%endif

%package agent
Summary:         MIRACLE ZBX Agent
Group:           Applications/Internet
%if %use_libcurl
Requires:        curl >= 7.13.1
%endif
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
%endif
Provides:        zabbix
Provides:        zabbix-agent
Obsoletes:       zabbix
Obsoletes:       zabbix-agent

%description agent
The MIRACLE ZBX client agent, to be installed on monitored systems.

%package get
Summary:         MIRACLE ZBX Get
Group:           Applications/Internet
Provides:        zabbix
Provides:        zabbix-get
Obsoletes:       zabbix-get

%description get
The MIRACLE ZBX Get, to be installed on monitored systems.

%package sender
Summary:         MIRACLE ZBX Sender
Group:           Applications/Internet
Provides:        zabbix
Provides:        zabbix-sender
Obsoletes:       zabbix-sender

%description sender
The MIRACLE ZBX Sender, to be installed on monitored systems.

%if !%only_agent

%if %is_mysql
%package proxy-mysql
Summary:         MIRACLE ZBX proxy compiled to use MySQL
Group:           Applications/Internet
%if %is_ML8
Requires:        mariadb
%else
Requires:        mysql
%endif
Requires:        fping
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires:        libevent
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):         /sbin/chkconfig
Requires(preun):        /sbin/chkconfig
Requires(preun):        /sbin/service
Requires(postun):       /sbin/service
%endif
Provides:        zabbix
Provides:        zabbix-proxy
Provides:        zabbix-proxy-mysql
Provides:        zabbix-server-implementation
Obsoletes:       zabbix
Obsoletes:       zabbix-proxy
Obsoletes:       zabbix-proxy-mysql
Conflicts:       miracle-zbx-proxy-pgsql
Conflicts:       miracle-zbx-web
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-server-pgsql

%description proxy-mysql
The MIRACLE ZBX proxy compiled to use MySQL
%endif

%if %is_pgsql
%package proxy-pgsql
Summary:         MIRACLE ZBX proxy compiled to use PostgreSQL
Group:           Applications/Internet
Requires:        postgresql
Requires:        fping
Requires:        net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
Requires:        libevent
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):         /sbin/chkconfig
Requires(preun):        /sbin/chkconfig
Requires(preun):        /sbin/service
Requires(postun):       /sbin/service
%endif
Provides:        zabbix
Provides:        zabbix-proxy
Provides:        zabbix-proxy-pgsql
Provides:        zabbix-server-implementation
Obsoletes:       zabbix
Obsoletes:       zabbix-proxy
Obsoletes:       zabbix-proxy-pgsql
Conflicts:       miracle-zbx-proxy-mysql
Conflicts:       miracle-zbx-web
Conflicts:       miracle-zbx-server-mysql
Conflicts:       miracle-zbx-server-pgsql

%description proxy-pgsql
The MIRACLE ZBX proxy compiled to use PostgreSQL
%endif

%package web
Summary:         MIRACLE ZBX Web Frontend
Group:           Applications/Internet
Requires:        httpd
Requires:        miracle-zbx-web-database = %{version}-%{release}
%if %use_systemd
Requires:        systemd >= 219-3
%endif
%if %is_ML8
Requires:        php >= 7.2.11
Requires:        php-gd >= 7.2.11
Requires:        php-mbstring >= 7.2.11
Requires:        php-xml >= 7.2.11
Requires:        php-bcmath >= 7.2.11
Requires:        php-fpm >= 7.2.11
%else
Requires:        php >= 5.4
Requires:        php < 5.7
Requires:        php-gd >= 5.4
Requires:        php-gd < 5.7
Requires:        php-mbstring >= 5.4
Requires:        php-mbstring < 5.7
Requires:        php-xml >= 5.4
Requires:        php-xml < 5.7
Requires:        php-bcmath >= 5.4
Requires:        php-bcmath < 5.7
%endif
Requires:        traceroute
Provides:        zabbix
Provides:        zabbix-web
Obsoletes:       zabbix
Obsoletes:       zabbix-web
Conflicts:       miracle-zbx-proxy

%description web
The php frontend to display the MIRACLE ZBX web interface.

%if %is_mysql
%package web-mysql
Summary:         MIRACLE ZBX web frontend for MySQL
Group:           Applications/Internet
Requires:        miracle-zbx-web = %{version}-%{release}
%if %is_ML8
Requires:        php-mysqlnd
%else
Requires:        php-mysql >= 5.4
Requires:        php-mysql < 5.7
%endif
Provides:        miracle-zbx-web-database
Provides:        zabbix-web-mysql
Provides:        zabbix-web-database
Obsoletes:       zabbix-web-mysql
Obsoletes:       zabbix-web-database
Conflicts:       miracle-zbx-web-pgsql

%description web-mysql
MIRACLE ZBX web frontend for MySQL
%endif

%if %is_pgsql
%package web-pgsql
Summary:         MIRACLE ZBX web frontend for PostgreSQL
Group:           Applications/Internet
Requires:        miracle-zbx-web = %{version}-%{release}
%if !%only_agent
Requires:        php-pgsql
%endif
Provides:        miracle-zbx-web-database
Provides:        zabbix-web-pgsql
Provides:        zabbix-web-database
Obsoletes:       zabbix-web-pgsql
Obsoletes:       zabbix-web-database
Conflicts:       miracle-zbx-web-mysql

%description web-pgsql
MIRACLE ZBX web frontend for PostgreSQL
%endif

%package web-japanese
Summary: Japanese font for MIRACLE ZBX web frontend
Group:   Applications/Internet
%if %is_ML8
Requires:        google-noto-sans-cjk-ttc-fonts
%else
Requires:        vlgothic-p-fonts
%endif
Requires:        %{name}-web = %{version}-%{release}
%if %is_ML8
Requires:        glibc-langpack-ja
%endif
Requires(post):  %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Provides:        zabbix-web-japanese
Obsoletes:       zabbix-web-japanese

%description web-japanese
Japanese font for MIRACLE ZBX web frontend

%package java-gateway
Summary:    MIRACLE ZBX Java Gateway files
Group:      Applications/Internet
Requires: java >= 1.6.0
%if %use_systemd
Requires(post):      systemd-units
Requires(preun):     systemd-units
Requires(postun):    systemd-units
Requires:       systemd >= 219-3
%else
Requires(post):      /sbin/chkconfig
Requires(preun):     /sbin/chkconfig
Requires(preun):     /sbin/service
Requires(postun):    /sbin/service
%endif
Provides:        zabbix-java-gateway = %{version}-%{release}
Obsoletes:       zabbix

%description java-gateway
MIRACLE ZBX Java Gateway files
%endif

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup -q -a 35 -a 38 -a 41 -n %{original_name}-%{version}%{relcan}
bash -c 'echo ./conf/zabbix_agentd{.hpux,.solaris}.conf | xargs -n1 | xargs -i% cp ./conf/zabbix_agentd.conf %'
bash -c 'rm NEWS README'
bash -c 'mv ChangeLog ChangeLog.Zabbix'
bash -c 'mv AUTHORS AUTHORS.Zabbix'
bash -c 'echo "Cybertrust Japan Co., Ltd." > AUTHORS'
%patch0 -p1 -b .config.orig
%patch1 -p1 -b .datasql.orig
%patch3 -p1 -b .fonts-config.orig
%patch6 -p1 -b .fix_for_aix61.orig
%patch7 -p1 -b .windows_build.orig
%patch8 -p1 -b .reload_config.orig
%patch10 -p1 -b .fix_cflags.orig
%patch14 -p1 -b .show_history_in_event.orig
%patch22 -p1 -b .fix_some_log.orig
%patch24 -p1 -b .ML-copyright-replacement.orig
%patch27 -p1 -b .long_telnet_command_fix.orig
%patch33 -p1 -b .add_graph_csv_output.orig
%patch35 -p1 -b .add_dbupdate_option.orig
%patch36 -p1 -b .fix_format_message_crash.orig
%patch40 -p1 -b .add_eventlog_ext.orig
%patch42 -p1 -b .fix_sending_recovery_mail.orig
%patch44 -p1 -b .fix_memory_leak_in_trendcache.orig
%patch46 -p1 -b .add-cpu_time-to-proc_info-on-windows.orig
%patch48 -p1 -b .unsupport_long_item_key.orig
%patch57 -p1 -b .enable_option_with_mbedtls_for_tls_protocol.orig
%patch58 -p1 -b .add_trap_receiver.orig
%patch60 -p1 -b .add_macro_ITEM.TYPE.orig
%patch61 -p1 -b .update_to_tlsv1.orig
%patch64 -p1 -b .fix_zbx_execute_crash_by_sigpipe.orig
%patch67 -p1 -b .add-enable_set_history_trends_on_web_monitoring.orig
%patch69 -p1 -b .add_permitting_to_change_syslog_facility.orig
%patch70 -p1 -b .fix_zabbix_configure_file_for_miracle_zbx.orig
%patch71 -p1 -b .limit_alert_number.orig
%patch75 -p1 -b .support_mbedtls21.orig
%patch76 -p1 -b .translate_show_history.orig
%patch79 -p1 -b .add_runtime_control_feature_for_snmptrapper.orig
%patch80 -p1 -b .fix_supervising_process.orig
%patch81 -p1 -b .add_libcurl_support_for_windows.orig
%patch83 -p1 -b .add_RTC_logfile_redirect.orig
%patch84 -p1 -b .add_RTC_value_cache_manage.orig
%patch85 -p1 -b .add_end_of_month_maintenance_type.orig
####################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

rm -f frontends/php/assets/fonts/DejaVuSans.ttf
cp %{SOURCE30} frontends/php/assets/img/icon-sprite.svg
cp %{SOURCE34} frontends/php/favicon.ico

chmod -R a+rX .

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

# kill off .htaccess files, options set in SOURCE1
find frontends/php -name .htaccess | xargs rm -f

# replace original version string
%{__perl} -p -i -e \
    "s,^define\('ZABBIX_VERSION'\,[ \t]*'%{version}%{relcan}',define\('ZABBIX_VERSION'\, '%{version}-%{src_release}'," \
    frontends/php/include/defines.inc.php
%{__grep} ^define\(\'ZABBIX_VERSION\' frontends/php/include/defines.inc.php | %{__grep} "%{version}-%{src_release}" > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^	static final String VERSION = \"%{version}%{relcan},	static final String VERSION = \"%{version}-%{src_release}," \
    src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java
%{__grep} "static final String VERSION = \"%{version}-%{src_release}\"" src/zabbix_java/src/com/zabbix/gateway/GeneralInformation.java > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^#define ZABBIX_VERSION_RC	\"%{relcan}\",#define ZABBIX_VERSION_RC	\"-%{src_release}\"," \
    include/version.h
%{__grep} "^#define ZABBIX_VERSION_RC	\"-%{src_release}\"" include/version.h > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

# fix path to traceroute utility
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/mysql/data.sql
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/postgresql/data.sql
sed -i.orig -e 's|/usr/bin/traceroute|/bin/traceroute|' database/sqlite3/data.sql

# change log directory for Java Gateway
sed -i -e 's|/tmp/zabbix_java.log|/var/log/zabbix/zabbix_java_gateway.log|g' src/zabbix_java/lib/logback.xml

cp -p %{SOURCE36} mbedtls-%{mbedtls_version}
cp -p %{SOURCE37} mbedtls-%{mbedtls_version}

# NOTICE: Need to comment out if you want to edit and regenerate Patch70 (zabbix-fix_zabbix_configure_file_for_miracle_zbx.patch)
# because patch errored by: "Hunk #n FAILED at n (different line endings)."
sed -i.orig -e 's|$|\r|g' ./conf/zabbix_agentd.win.conf

%build

# For pre-release build
%if "%{relcan}" != "%{nil}"
find . -name "Makefile.in" -exec sed -i -e "s|\$(top_srcdir)/conf_tests.m4 ||g" {} \;
%endif

%if %{is_mbedtls}
cd mbedtls-%{mbedtls_version}
%if %is_ML8
make %{_smp_mflags} CFLAGS="-fPIE -O2" lib
%else
make %{_smp_mflags} CFLAGS="-O2" lib
%endif
mkdir lib
mv library/*.a lib/
cd ..
%endif

cd pcre-%{pcre_version}
./configure --disable-cpp --disable-shared
%if %is_ML8
make %{_smp_mflags} CFLAGS="-fPIE -O2"
%else
make %{_smp_mflags} CFLAGS="-O2"
%endif
cd ..

# libcurl on ML4 is old and does not meet the build requirements
# curl or libcurl package is not installed on minimal ML5
common_flags=" 
    --enable-agent \
    --sysconfdir=/etc/zabbix \
%if %use_libcurl
    --with-libcurl \
%endif
    --with-libpcre \
    --with-libpcre-include=$(pwd)/pcre-%{pcre_version} \
    --with-libpcre-lib=$(pwd)/pcre-%{pcre_version}/.libs \
%if %{is_mbedtls}
    --with-mbedtls21=$(pwd)/mbedtls-%{mbedtls_version} \
%else
    --without-mbedtls \
%endif
    --enable-ipv6
"

%configure $common_flags
make %{?_smp_mflags}

%if !%only_agent
mv src/zabbix_agent/zabbix_agentd src/zabbix_agent/zabbix_agentd_less_lib_dependency
mv src/zabbix_sender/zabbix_sender src/zabbix_sender/zabbix_sender_less_lib_dependency
mv src/zabbix_get/zabbix_get src/zabbix_get/zabbix_get_less_lib_dependency
make distclean

common_flags=" 
    --enable-dependency-tracking \
    --sysconfdir=/etc/zabbix \
%if %is_server
    --enable-server \
%endif
    --enable-agent \
%if %is_proxy
    --enable-proxy \
%endif
    --enable-ipv6 \
%if %is_java
    --enable-java \
%endif
    --with-net-snmp \
    --with-ldap \
    --with-unixodbc \
    --with-ssh2 \
    --with-openipmi \
    --with-libcurl \
    --with-libpcre \
    --with-libpcre-include=$(pwd)/pcre-%{pcre_version} \
    --with-libpcre-lib=$(pwd)/pcre-%{pcre_version}/.libs \
%if %is_mbedtls
    --with-mbedtls21=$(pwd)/mbedtls-%{mbedtls_version} \
%else
    --without-mbedtls \
%endif
    --with-jabber \
    --with-libxml2
"

%if %is_mysql
%configure $common_flags --with-mysql
make %{?_smp_mflags}
%if %is_server
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
%endif
%if %is_proxy
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql
%endif
%endif

%if %is_pgsql
%configure $common_flags --with-postgresql
make %{?_smp_mflags}
%if %is_server
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
%endif
%if %is_proxy
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql
%endif
%endif

make gettext

%if %is_server
touch src/zabbix_server/zabbix_server
%endif
%if %is_proxy
touch src/zabbix_proxy/zabbix_proxy
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%if %is_ML8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/php-fpm.d
%endif
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/%{original_name}/externalscripts
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/%{original_name}/alertscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{original_name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{original_name}
%if %use_systemd
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}
%if %is_server
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service.d
%endif
%if %is_proxy
    mkdir -p $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service.d
%endif
    mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d
%else
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
%endif
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/init

%if !%only_agent
find ./ -name '*.orig' | xargs rm -f

# php frontend
cp -a frontends/php $RPM_BUILD_ROOT%{_datadir}/%{original_name}

# prepare ghosted config file
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web/zabbix.conf.php

# move maintenance.inc.php
mv $RPM_BUILD_ROOT%{_datadir}/%{original_name}/conf/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/web

# part of copyright replacement on frontend
cp %{SOURCE39} $RPM_BUILD_ROOT%{_datadir}/%{original_name}/local/conf/brand.conf.php

%if %is_ML8
# drop config files in place
sed 's/^/#/' %{SOURCE42} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{original_name}.conf
install -m 644 -p %{SOURCE43} $RPM_BUILD_ROOT%{_sysconfdir}/php-fpm.d/%{original_name}.conf
%else
# drop config files in place
sed 's/^/#/' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{original_name}.conf
%endif # is_ML8
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{original_name}.conf
%endif

install -m 0644 -p conf/zabbix_agentd/userparameter_mysql.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{original_name}/zabbix_agentd.d/userparameter_mysql.conf
# log rotation
cat %{SOURCE5} | sed -e 's|COMPONENT|agentd|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
%if !%only_agent
%if %is_server
cat %{SOURCE5} | sed -e 's|COMPONENT|server|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
%endif
%if %is_proxy
cat %{SOURCE5} | sed -e 's|COMPONENT|proxy|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
%endif
%endif
# init scripts
%if %use_systemd
    install -m 0644 -p %{SOURCE19} $RPM_BUILD_ROOT%{_unitdir}/zabbix-agent.service
    install -m 0744 -p %{SOURCE40} $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%if %is_server
    install -m 0644 -p %{SOURCE26} $RPM_BUILD_ROOT%{_unitdir}/zabbix-server.service
%endif
%if %is_proxy
    install -m 0644 -p %{SOURCE27} $RPM_BUILD_ROOT%{_unitdir}/zabbix-proxy.service
%endif
%if %is_java
    install -m 0644 -p %{SOURCE24} $RPM_BUILD_ROOT%{_unitdir}/zabbix-java-gateway.service
%endif
%if %is_server
    install -m 0755 -p %{SOURCE31} $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
%endif
    # Compatibility with old name
    pushd $RPM_BUILD_ROOT%{_unitdir}
    ln -sf zabbix-agent.service zabbix-agentd.service
    popd
%if %is_server || %is_proxy
    pushd $RPM_BUILD_ROOT%{_sysconfdir}/zabbix
    ln -sf ../../%{_prefix}/lib/%{original_name}/externalscripts
%if %is_server
    ln -sf ../../%{_prefix}/lib/%{original_name}/alertscripts
%endif
    popd
%endif
    # For /run/zabbix setting
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-agent.conf
%if %is_server
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
%endif
%if %is_proxy
    install -m 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
%endif
    # install systemd-tmpfiles conf
%if %is_java
    install -Dm 0644 -p %{SOURCE25} $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/zabbix-java-gateway.conf
%endif
%else
    install -m 0755 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-agent
%endif

# set up config dir

# install
make DESTDIR=$RPM_BUILD_ROOT install

%if !%only_agent
%if %is_server
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
install -m 0755 -p src/zabbix_server/zabbix_server_* $RPM_BUILD_ROOT%{_sbindir}/
%endif # is_server
%if %is_proxy
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* $RPM_BUILD_ROOT%{_sbindir}/
%endif # is_proxy
%if %is_server || %is_proxy
install -m 0755 -p misc/snmptrap/zabbix_trap_receiver.pl $RPM_BUILD_ROOT%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%endif # is_server or is_proxy

%if %is_java
# delete unnecessary files from java gateway
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/settings.sh
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/startup.sh
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/shutdown.sh
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/lib/logback-console.xml

mv $RPM_BUILD_ROOT%{_sbindir}/zabbix_java/lib/logback.xml $RPM_BUILD_ROOT/%{_sysconfdir}/zabbix/zabbix_java_gateway_logback.xml
mv $RPM_BUILD_ROOT%{_sbindir}/zabbix_java $RPM_BUILD_ROOT/%{_datadir}/zabbix-java-gateway
install -m 0755 -p %{SOURCE33} $RPM_BUILD_ROOT%{_sbindir}/zabbix_java_gateway
%endif # is_java

rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_agentd
install -m 0755 -p src/zabbix_agent/zabbix_agentd_less_lib_dependency $RPM_BUILD_ROOT%{_sbindir}/zabbix_agentd
install -m 0755 -p src/zabbix_sender/zabbix_sender_less_lib_dependency $RPM_BUILD_ROOT%{_bindir}/zabbix_sender
install -m 0755 -p src/zabbix_get/zabbix_get_less_lib_dependency $RPM_BUILD_ROOT%{_bindir}/zabbix_get

# java gateway
%if %is_java
cat src/zabbix_java/settings.sh | sed \
        -e 's|^PID_FILE=.*|PID_FILE="%{_localstatedir}/run/%{original_name}/zabbix_java.pid"|g' \
        -e '/^# TIMEOUT=/a \\nTIMEOUT=3' \
        > $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_java_gateway.conf

%endif # is_java

%endif # not only_agent

# nuke static libs and empty oracle upgrade sql
rm -rf $RPM_BUILD_ROOT%{_libdir}/libzbx*.a
# nuke extraneous sql files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/create

%if !%only_agent
# copy sql files for servers
%if %is_server
%if %is_mysql
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-server-mysql-%{version}
install -dm 755 $docdir
cat database/mysql/schema.sql > database/mysql/create.sql
cat database/mysql/images.sql >> database/mysql/create.sql
cat database/mysql/data.sql >> database/mysql/create.sql
gzip database/mysql/create.sql
%endif

%if %is_pgsql
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-server-pgsql-%{version}
install -dm 755 $docdir
cat database/postgresql/schema.sql > database/postgresql/create.sql
cat database/postgresql/images.sql >> database/postgresql/create.sql
cat database/postgresql/data.sql >> database/postgresql/create.sql
gzip database/postgresql/create.sql
%endif
%endif

# copy sql files for proxies
%if %is_proxy
%if %is_mysql
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-proxy-mysql-%{version}
install -dm 755 $docdir
gzip -c database/mysql/schema.sql > database/mysql/schema.sql.gz
%endif

%if %is_pgsql
docdir=$RPM_BUILD_ROOT%{_docdir}/miracle-zbx-proxy-pgsql-%{version}
install -dm 755 $docdir
gzip -c database/postgresql/schema.sql > database/postgresql/schema.sql.gz
%endif
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre agent
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:

%if !%only_agent
%if %is_proxy
%if %is_mysql
%pre proxy-mysql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif

%if %is_pgsql
%pre proxy-pgsql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif
%endif

%if %is_java
%pre java-gateway
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif

%if %is_server
%if %is_mysql
%pre server-mysql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif

%if %is_pgsql
%pre server-pgsql
getent group zabbix > /dev/null || groupadd -r zabbix
getent passwd zabbix > /dev/null || \
    useradd -r -g zabbix -d %{_localstatedir}/lib/%{original_name} -s /sbin/nologin \
    -c "MIRACLE ZBX Monitoring System" zabbix
:
%endif
%endif
%endif

%if !%only_agent

%if %is_mysql
%post server-mysql
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-server || :
%endif
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_mysql 10 \
%endif

%if %is_pgsql
%post server-pgsql
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-server || :
%endif
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_server \
    zabbix-server %{_sbindir}/zabbix_server_pgsql 10 \
%endif

%if %is_proxy
%if %is_mysql
%post proxy-mysql
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-proxy || :
%endif
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_mysql 10 \
%endif

%if %is_pgsql
%post proxy-pgsql
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-proxy || :
%endif
%{_sbindir}/update-alternatives --install %{_sbindir}/zabbix_proxy \
    zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql 10 \
%endif
%endif

%if %is_java
%post java-gateway
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-java-gateway || :
%endif
%endif

%post web
# move existing config file on update
if [ "$1" -ge "1" ]
then
    if [ -f %{_sysconfdir}/zabbix/zabbix.conf.php ]
    then
        mv %{_sysconfdir}/zabbix/zabbix.conf.php %{_sysconfdir}/zabbix/web
        chown apache:apache %{_sysconfdir}/zabbix/web/zabbix.conf.php
    fi
    if [ -L %{_datadir}/%{original_name}/fonts/graphfont.ttf ]
    then
        /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/dejavu/DejaVuSans.ttf
    fi
fi
/usr/sbin/update-alternatives --install %{_datadir}/%{original_name}/assets/fonts/graphfont.ttf zabbix-web-font %{_datadir}/fonts/dejavu/DejaVuSans.ttf 10
:

%post web-japanese
if [ $1 -ge 1 ] # When update
then
    # 4.0.0 ~ 4.0.7
    if [ -L %{_datadir}/%{original_name}/fonts/graphfont.ttf ]
    then
%if %is_ML8
        /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc
%else
        /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/vlgothic/VL-PGothic-Regular.ttf
%endif
    fi
fi
%if %is_ML8
/usr/sbin/update-alternatives --install %{_datadir}/%{original_name}/assets/fonts/graphfont.ttf zabbix-web-font %{_datadir}/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc 20
%else
/usr/sbin/update-alternatives --install %{_datadir}/%{original_name}/assets/fonts/graphfont.ttf zabbix-web-font %{_datadir}/fonts/vlgothic/VL-PGothic-Regular.ttf 20
%endif
:
%endif

%post agent
%if %use_systemd
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
/sbin/chkconfig --add zabbix-agent || :
%endif

%if !%only_agent

%if %is_server
%if %is_mysql
%preun server-mysql
if [ $1 -eq 0 ]; then
%if !%only_agent
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
%else
    /sbin/service zabbix-server stop >/dev/null 2>&1 :
    /sbin/chkconfig --del zabbix-server
%endif
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_mysql
fi
:
%endif

%if %is_pgsql
%preun server-pgsql
if [ $1 -eq 0 ]; then
%if !%only_agent
    /bin/systemctl --no-reload disable zabbix-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-server.service > /dev/null 2>&1 || :
%else
    /sbin/service zabbix-server stop >/dev/null 2>&1 :
    /sbin/chkconfig --del zabbix-server
%endif
    /usr/sbin/update-alternatives --remove zabbix-server %{_sbindir}/zabbix_server_pgsql
fi
:
%endif
%endif

%if %is_proxy
%if %is_mysql
%preun proxy-mysql
if [ $1 -eq 0 ]; then
%if !%only_agent
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
%else
    /sbin/service zabbix-proxy stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del zabbix-proxy
%endif
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_mysql
fi
:
%endif

%if %is_pgsql
%preun proxy-pgsql
if [ $1 -eq 0 ]; then
%if !%only_agent
    /bin/systemctl --no-reload disable zabbix-proxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop zabbix-proxy.service > /dev/null 2>&1 || :
%else
    /sbin/service zabbix-proxy stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del zabbix-proxy
%endif
    /usr/sbin/update-alternatives --remove zabbix-proxy %{_sbindir}/zabbix_proxy_pgsql
fi
:
%endif
%endif

%if %is_java
%preun java-gateway
if [ $1 -eq 0 ]
then
%if %use_systemd
  /bin/systemctl --no-reload disable zabbix-java-gateway.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-java-gateway.service > /dev/null 2>&1 || :
%else
  /sbin/service zabbix-java-gateway stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-java-gateway
%endif
fi
:
%endif

%preun web
if [ $1 -eq 0 ]
then
    /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/dejavu/DejaVuSans.ttf
fi
:

%preun web-japanese
if [ $1 -eq 0 ]
then
%if %is_ML8
    /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/google-noto-cjk/NotoSansCJK-Regular.ttc
%else
    /usr/sbin/update-alternatives --remove zabbix-web-font %{_datadir}/fonts/vlgothic/VL-PGothic-Regular.ttf
%endif
fi
:
%endif

%preun agent
if [ $1 -eq 0 ]
then
%if !%only_agent
  /bin/systemctl --no-reload disable zabbix-agent.service > /dev/null 2>&1 || :
  /bin/systemctl stop zabbix-agent.service > /dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
%endif
fi
:

%if !%only_agent
%if is_mysql
%postun server-mysql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-server.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-server condrestart >/dev/null 2>&1 || :
%endif
fi
%endif

%if %is_pgsql
%postun server-pgsql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-server.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-server condrestart >/dev/null 2>&1 || :
%endif
fi
%endif

%if %is_proxy
%if %is_mysql
%postun proxy-mysql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-proxy.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-proxy condrestart >/dev/null 2>&1 || :
%endif
fi
%endif

%if %is_pgsql
%postun proxy-pgsql
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-proxy.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-proxy condrestart >/dev/null 2>&1 || :
%endif
fi
%endif
%endif

%if %is_java
%postun java-gateway
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-java-gateway.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-java-gateway condrestart >/dev/null 2>&1 || :
%endif
fi
%endif
%endif

%postun agent
%if %use_systemd
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%endif
if [ $1 -gt 1 ]; then
%if %use_systemd
  /bin/systemctl try-restart zabbix-agent.service >/dev/null 2>&1 || :
%else
  /sbin/service zabbix-agent condrestart >/dev/null 2>&1 || :
%endif
fi

%files agent
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING
%{_mandir}/man8/zabbix_agentd.8.*
%dir %{_sysconfdir}/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/%{original_name}
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agentd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
%dir %{_sysconfdir}/zabbix/zabbix_agentd.d
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agentd.d/userparameter_mysql.conf
%if %use_systemd
%{_prefix}/lib/tmpfiles.d/zabbix-agent.conf
%{_unitdir}/zabbix-agent.service
%{_unitdir}/zabbix-agentd.service
%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%else
%{_sysconfdir}/init.d/zabbix-agent
%endif
%{_sbindir}/zabbix_agentd

%files sender
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING
%{_mandir}/man1/zabbix_sender.1.*
%{_bindir}/zabbix_sender

%files get
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING
%{_mandir}/man1/zabbix_get.1.*
%{_bindir}/zabbix_get

%if !%only_agent
%if %is_server
%if %is_mysql
%files server-mysql
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING database/mysql/create.sql.gz
%{_mandir}/man8/zabbix_server.8.*
%dir %{_sysconfdir}/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/%{original_name}
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/%{original_name}/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%dir %{_prefix}/lib/%{original_name}/alertscripts
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/alertscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
%{_sbindir}/zabbix_server_mysql
%if %use_systemd
%{_unitdir}/zabbix-server.service
%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%else
%{_sysconfdir}/init.d/zabbix-server
%endif # use_systemd
%endif # is_mysql

%if %is_pgsql
%files server-pgsql
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING database/postgresql/create.sql.gz
%{_mandir}/man8/zabbix_server.8.*
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/%{original_name}/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%dir %{_prefix}/lib/%{original_name}/alertscripts
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/alertscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_localstatedir}/lib/%{original_name}/init/init_zbx.sh
%{_sbindir}/zabbix_server_pgsql
%if %use_systemd
%{_unitdir}/zabbix-server.service
%{_prefix}/lib/tmpfiles.d/zabbix-server.conf
%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%else
%{_sysconfdir}/init.d/zabbix-server
%endif # use_systemd
%endif # is_pgsql
%endif # is_server

%if %is_proxy
%if %is_mysql
%files proxy-mysql
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING database/mysql/schema.sql.gz
%{_mandir}/man8/zabbix_proxy.8.*
%dir %{_sysconfdir}/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/%{original_name}
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/%{original_name}/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_sbindir}/zabbix_proxy_mysql
%if %use_systemd
%{_unitdir}/zabbix-proxy.service
%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%else
%{_sysconfdir}/init.d/zabbix-proxy
%endif # use_systemd
%endif # is_mysql

%if %is_pgsql
%files proxy-pgsql
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING database/postgresql/schema.sql.gz
%{_mandir}/man8/zabbix_proxy.8.*
%dir %{_sysconfdir}/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/%{original_name}
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/%{original_name}/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%dir %{_prefix}/lib/%{original_name}/externalscripts
%{_sysconfdir}/zabbix/externalscripts
%{_localstatedir}/lib/%{original_name}/zabbix_trap_receiver.pl
%{_sbindir}/zabbix_proxy_pgsql
%if %use_systemd
%{_unitdir}/zabbix-proxy.service
%{_prefix}/lib/tmpfiles.d/zabbix-proxy.conf
%{_localstatedir}/lib/%{original_name}/init/zabbix-wait-pidfile.sh
%else
%{_sysconfdir}/init.d/zabbix-proxy
%endif # use_systemd
%endif # is_pgsql
%endif # is_proxy

%files web
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING
%dir %attr(0750,apache,apache) %{_sysconfdir}/zabbix/web
%ghost %config(noreplace) %attr(600,apache,apache) %{_sysconfdir}/zabbix/web/zabbix.conf.php
%config(noreplace) %{_sysconfdir}/zabbix/web/maintenance.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{original_name}.conf
%if %is_ML8
%config(noreplace) %{_sysconfdir}/php-fpm.d/%{original_name}.conf
%endif
%config(noreplace) %{_datadir}/%{original_name}/include/classes/core/Z.php
%{_datadir}/zabbix

%if %is_mysql
%files web-mysql
%defattr(-,root,root,-)
%endif

%if %is_pgsql
%files web-pgsql
%defattr(-,root,root,-)
%endif

%files web-japanese
%defattr(-,root,root,-)

%if %is_java
%files java-gateway
%defattr(-,root,root,-)
%doc AUTHORS AUTHORS.Zabbix ChangeLog.Zabbix COPYING
%config(noreplace) %{_sysconfdir}/%{original_name}/zabbix_java_gateway.conf
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/%{original_name}
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/%{original_name}
%{_datadir}/zabbix-java-gateway
%{_sbindir}/zabbix_java_gateway
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_java_gateway_logback.xml
%if %use_systemd
%{_unitdir}/zabbix-java-gateway.service
%{_prefix}/lib/tmpfiles.d/zabbix-java-gateway.conf
%else
%{_sysconfdir}/init.d/zabbix-java-gateway
%endif
%endif
%endif

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Thu Dec 12 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.16-1%{?dist}
- Update base zabbix version to 4.0.16
  - Patch24 (zabbix-ML-copyright-replacement.patch) wad updated
  - Patch35 (zabbix-add_dbupdate_option.patch) was updated
  - Patch75 (zabbix-support_mbedtls21.patch) was updated

* Tue Nov 26 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.15-1%{?dist}
- Update base zabbix version to 4.0.15
  - Path85 (zabbix-backport_null_pointer_reference.patch) was removed because it solved in the release

* Tue Nov 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.14-1%{?dist}
- Update base zabbix version to 4.0.14
  - Patch82 (zabbix-add_sata_disk_controller_type_to_vmware_lld.patch) was removed because it merged by upstream
- Patch84 (zabbix-add_RTC_value_cache_manage.patch) added to dumping value cache information to log
- Patch85 (zabbix-backport_null_pointer_reference.patch) backported
- Replace required package "vlgothic-p-fonts" to "google-noto-sans-cjk-ttc-fonts" in RHEL8 package

* Tue Oct 29 2019 Yuji Kamada <yuji.kamada@cybertrust.co.jp> 4.0.13-2%{?dist}
- Use php-fpm in RHEL8 web package

* Thu Oct 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.13-1%{?dist}
- Update base zabbix version to 4.0.13
- Update mbedTLS version to 2.7.12

* Tue Sep 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.12-1%{?dist}
- Update base zabbix version to 4.0.12
- Update curl version to 7.65.3
  - Patch81 (zabbix-add_libcurl_support_for_windows.patch) was updated
- Patch82 (zabbix-add_sata_disk_controller_type_to_vmware_lld.patch) for new controller type SATA
- Patch83 (zabbix-add_RTC_logfile_redirect.patch) is our solution for ZBX-16534
- Source5 (zabbix-logrotate.in) updated to use RTC for log rotate

* Tue Jul 23 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.11-1%{?dist}
- Update base zabbix version to 4.0.11
  - Patch42 (zabbix-fix_sending_recovery_mail.patch) was updated
  - Patch82 (zabbix-backport_ZBX-16270_fix_memory_leak.patch) was removed
  - Patch83 (zabbix-fix-check_escalation_result_string.patch) was merged into upstream
- Update pcre version to 8.43
- Update mbedtls version to 2.7.11
- We can build packages for RHEL8 from this version
- Patch8 (zabbix-reload_config.patch) was updated for increase log_slow_queries value up to 3600000
- Patch71 (zabbix-limit_alert_number.patch) was updated for increase value of trigger ID in discard_alerts

* Wed Jul 03 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.10-1%{?dist}
- Update base zabbix version to 4.0.10
  - Patch22 (zabbix-fix_some_log.patch) was updated
  - Patch40 (zabbix-add_eventlog_ext.patch) was updated
  - Patch81 (zabbix-backport-ZBX-15797-fix-dashboard-map-widget-sub-map-link-behaviour.patch) was removed
  - Patch82 (zabbix-backport-ZBX-16096-fix-invalid-CPU-utilisation.patch) was removed
  - Patch81 (zabbix-add_libcurl_support_for_windows.patch) added
  - Patch82 (zabbix-backport_ZBX-16270_fix_memory_leak.patch) backported from Zabbix 4.0.11
  - Patch83 (zabbix-fix-check_escalation_result_string.patch) added

* Mon Jun 10 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.9-1%{?dist}
- Update base zabbix version to 4.0.9
  - Patch3 (fonts-config.patch) updated because asset files has been moved
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated because asset files has been moved
- Patch48 (zabbix-unsupport_long_item_key.patch) updated. Fix miscorrection at 4.0.7-1 [RCN:16483]
- Patch81 (zabbix-backport-ZBX-15797-fix-dashboard-map-widget-sub-map-link-behaviour.patch) backported from ZBX-15797
- Patch82 (zabbix-backport-ZBX-16096-fix-invalid-CPU-utilisation.patch) backported from ZBX-16096

* Fri Apr 19 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.7-1%{?dist}
- Update base zabbix version to 4.0.7
  - Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) removed. Upstream was fixed in version 4.0.7
  - Patch78 (zabbix-add_stats_queue_description.patch) removed. Upstream was fixed in version 4.0.7
- Update mbedTLS version to 2.7.10 [RCN:16455]

* Fri Apr 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-3%{?dist}
- Patch75 (zabbix-support_mbedtls21.patch) updated; fixed mistake

* Thu Apr 04 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-2%{?dist}
- Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) add, upstream will be fixed in version 4.0.7
- Patch78 (zabbix-add_stats_queue_description.patch) add, upstream will be fixed in version 4.0.7

* Fri Mar 29 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.6-1%{?dist}
- Update base zabbix version to 4.0.6
  - Patch75 (zabbix-support_mbedtls21.patch) updated for 4.0.6
  - Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) removed, imported to upstream
  - Patch78 (zabbix-add_stats_queue_description.patch) removed, it imported to upstream

* Thu Mar 07 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.5-2%{?dist}
- Update base zabbix version to 4.0.5 [RCN:16269]
  - Patch69 (zabbix-add_permitting_to_change_syslog_facility.patch) updated
- icon-sprite.svg updated, background color is changed to transparent [RCN:16284]
- Patch25 (zabbix-ML-copyright-replacement.patch) updated for footer layout [RCN:16283]
- Patch77 (zabbix-vfs.dir.size_and_count_web_help.patch) add, this changes will be fixed in version 4.0.6 [RCN:16299]
- Patch78 (zabbix-add_stats_queue_description.patch) add, this changes will be fiexed in version 4.0.6 [RCN:16298]
- Patch79 (zabbix-add_runtime_control_feature_for_snmptrapper.patch) add, This is new feature of runtime control [RCN:16253]
- Patch80 (zabbix-fix_supervising_process.patch) add, fix systemd supervising process issue
- Source40 (zabbix-wait-pidfile.sh) add, this script is used to wait generating pid file

* Tue Feb 05 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.4-1%{?dist}
- Update base zabbix version to 4.0.4 [RCN:16206]
  - Patch25 (zabbix-ML-copyright-replacement.patch) updated
- Update base mbedtls versio to 2.7.9 [RCN:16201]
- Patch71 (zabbix-limit_alert_number.patch) updated, Fix build warning

* Thu Jan 17 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.3-2%{?dist}
- Patch14 (zabbix-show_history_in_event.patch) updated
- Patch76 (zabbix-translate_show_history.patch) updated

* Thu Jan 10 2019 Yuuki Enomoto <yuki.enomoto@cybertrust.co.jp> 4.0.3-1%{?dist}
- Update base zabbix version to 4.0.3 [RCN:16171]
  - Patch14 (zabbix-show_history_in_event.patch) updated
  - Patch76 (zabbix-translate_show_history.patch) fix [RCN:15984]

* Fri Dec 14 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-3%{?dist}
- Patch40 (zabbix-add_eventlog_ext.patch) fix [RCN:16036]

* Mon Dec 10 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-2%{?dist}
- Update base mbedtls version to 2.7.8 [RCN:16080]

* Thu Nov 29 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.2-1%{?dist}
- Update base zabbix version to 4.0.2 [RCN:16058]
  - Patch42 (zabbix-fix_sending_recovery_mail.patch) updated
- Patch75 zabbix-support_mbedtls21.patch fixed, Display mbedtls version [RCN:16060]

* Tue Nov 20 2018 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 4.0.1-1%{?dist}
- Update base zabbix version to 4.0.1 [RCN:16030]
  - Patch0 (config.patch) updated
- Patch40 (zabbix-add_eventlog_ext.patch) add [RCN:16036]
- Patch42 (zabbix-fix_sending_recovery_mail.patch) add [RCN:10550]
- Patch8 (zabbix-reload_config.patch) update, Fix typo [RCN:15985]
- Patch24 (zabbix-add_dbupdate_option.patch) fixed, Replace product name in browser warning page [RCN:15443]
- Update base mbedtls version to 2.7.7 [RCN:16047]
- Patch22 (zabbix-fix_some_log.patch) fix, Support utf16 [RCN:10018]

* Mon Nov 05 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-14%{?dist}
- Patch71 (zabbix-limit_alert_number.patch) apply again

* Fri Nov 02 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-13%{?dist}
- Patch24 (zabbix-add_dbupdate_option.patch) fixed, login page title
- Patch33 (zabbix-add_graph_csv_output.patch) fixed, csv output item name expand
- Patch40 (zabbix-add_eventlog_ext.patch) temporary not applying
- Patch42 (zabbix-fix_sending_recovery_mail.patch) temporary not applying
- Patch51 (zabbix-support_tabulardatasupport_java_type.patch) temporary not applying
- Patch71 (zabbix-limit_alert_number.patch) temporary not applying

* Thu Oct 11 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-12%{?dist}
- Removed unnecessary patches
  - Patch54 (zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch) no longer support Solaris 9
  - Patch41 (zabbix-fix_memory_leak.patch) no longer required
  - Patch66 (zabbix-fix-ip-address-check-for-auto-registration.patch) no longer required
- Fix Patch0 (config.patch) need not to change BRAND_CONFIG_FILE_PATH
- Fix Patch35 (zabbix-add_dbupdate_option.patch) dbupdate option require message
- Change Patch71 (zabbix-limit_alert_number.patch) ZBX_RTC_DISCARD_ALERTS definition (16 -> 249)
- Patch22 (zabbix-fix_some_log.patch) temporary not applying
- Patch38 (zabbix-fix_eventlog_message_logic.patch) temporary not applying
- Patch43 (zabbix-fix_query_wrong_last_data.patch) temporary not applying
- Document file modified
- Change the build option of mbedtls and pcre on AIX

* Tue Jan 23 2018 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 4.0.0-11%{?dist}
- Update base zabbix version to 4.0.0
  - Removed unnecessary sources
    - Source2,4,11 (zabbix-server.init, zabbix-proxy.init, zabbix-java-gateway.init)
      no longer support server on SysV system
    - Source6-8 (zabbix_agentd.conf, zabbix_server.conf, zabbix_proxy.conf)
      Fix each Zabbix configure by patch format [RCN:14898]
    - Source12-16,18 (logo.png, zabbix.png, zabbix_bb.png, zabbix_od.png, welcome_screen-original-blue.png, background.png)
      no target to replace in Zabbix
    - Source28,29 (After-mysqld-service.conf, After-postgresql-service.conf)
      same functionally described in zabbix-server.service and zabbix-proxy.service
  - Removed unnecessary patches
    - Patch12 (zabbix-add_event_filter.patch) Zabbix provides equivalent functionality
    - Patch26 (zabbix-hpux_compat.patch) no longer support HP-UX 11i v2
    - Patch42 (zabbix-fix_sending_recovery_mail.patch) Zabbix provides workaround
    - Patch55 (zabbix-fix_undeclared_locations_in_sensors_file.patch) no longer support ML3 (Linux kernel 2.4)
    - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) no longer support Solaris 9
    - Patch76 (zabbix-fix_make_install_DESTDIR.patch) removed because fixed by [ZBX-13803]
  - Merge patches
    - Patch62 (zabbix-update_config_help_for_slow_queries.patch) merged into Patch8 (zabbix-reload_config.patch)
    - Patch77 (zabbix-show_history_filter_in_problem_view.patch) merged into Patch14 (zabbix-show_history_in_event.patch)
    - Patch25 (zabbix-ML-copyright-replacement-part2.patch) merged into Patch24 (zabbix-ML-copyright-replacement.patch)
    - Patch34 (zabbix-windows-copyright.patch) merged into Patch24 (zabbix-ML-copyright-replacement.patch)
    - Patch68 (zabbix-fix_item_queue_exclusion_list.patch) merged into Patch40 (zabbix-add_eventlog_ext.patch)
  - Partially reconstructure patches
    - Patch70 (zabbix-fix_zabbix_configure_file_for_miracle_zbx)
      SyslogFacility relative describes moved into Patch69 (zabbix-add_permitting_to_change_syslog_facility.patch)
  - Modified by implementation change
    - Patch33 (zabbix-add_graph_csv_output.patch) change csv link generation logic
    - Patch43 (zabbix-fix_query_wrong_last_data.patch) history page sort order by "clock" and "ns" instead of "id" [RCN:]
    - Patch75 (zabbix-support_mbedtls21.patch) add insufficient implementation
  - Add new feature
    - Patch77 (zabbix-show_history_filter_in_problem_view.patch) add show_history filter in problem view
  - Add new sources
    - Source39 (brand.conf.php) part of copyright replacement on frontend
  - Forward port from 3.0.13 to 3.0.22
    - Source2,4,11 (zabbix-server.init, zabbix-proxy.init, zabbix-java-gateway.init)
      fixed, add "KILL_DELAY" environment varible to zabbix-server, zabbix-proxy and zabbix-java-gateway [RCN:12107]
    - Source33 (zabbix_java_gateway-sysd) fixed, fix command line options [RCN:15678]
    - Patch24 (zabbix-ML-copyright-replacement.patch) fixed, fix copyright notice in browser warning page [RCN:15443]
    - Patch40 (zabbix-add_eventlog_ext.patch) fixed, fix agent crash by "eventlog_ext[]" [RCN:15376]
    - Patch71 (zabbix-limit_alert_number.patch) added, limit alert number in alert burst [RCN:8198]
    - zabbix.spec
      - Add checking for mbedtls [RCN:15385]
- Update base mbedtls version to 2.7.5
- Add base pcre version 8.42
- Fix Patch8 (zabbix-reload_config.patch) to support printing help configuration for LogSlowQueries option on proxy [RCN:13337]
- Fix Patch35 (zabbix-add_dbupdate_option.patch) to add usage_message [RCN:15885]
- Fix Patch60 (zabbix-add_macro_ITEM.TYPE.patch) fix row index [RCN:12117]

* Tue Nov 14 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.13-1%{?dist}
- Update base zabbix version to 3.0.13
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated
  - Patch68 (zabbix-fix_for_aix61_2.patch) for support old aix6.1
- Fix the return value is incorrect for "system.cpu.discovery" and merge patches "zabbix-fix_for_aix61_2.patch" into "zabbix-fix_for_aix61.patch" [RCN:14850]
- Fix incorrect owner setting in Solaris 11 [RCN:14704]
- Add new patch zabbix-fix_item_queue_exclusion_list.patch [RCN:14822]
- Add new patch zabbix-add_permitting_to_change_syslog_facility.patch [RCN:8176]

* Tue Oct 03 2017 Daiki Hamamoto <daiki.hamamoto@cybertrust.co.jp> 3.0.11-1%{?dist}
- Update base zabbix version to 3.0.11
- Fix an issue to fail to upgrade or downgrade Windows Agent from any version between 3.0.0-1 - 3.0.4-1 to any version between 3.0.5-1 - 3.0.10-1 [RCN:14628]

* Fri Jul 28 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.10-1%{?dist}
- Update base zabbix version to 3.0.10
  - Patch45 (zabbix-fix_zbx_item_logtype_string.patch) removed, LLC was fix this issue [RCN:11030] [ZBX-12012]
- Update zabbix_agentd.conf for Windows [RCN:14255]
- Add to support silent installation in MLZBX installer for Windows [RCN:14313]
- Fix patch zabbix-add-enable_set_history_trends_on_web_monitoring.patch [RCN:14234]

* Tue May 30 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-3%{?dist}
- Add new patch zabbix-fix-ip-address-check-for-auto-registration.patch [RCN:14251]
- Add "Options -FollowSymLinks" in zabbix-web.conf [RCN:14123]

* Mon May 22 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-2%{?dist}
- Remove "#Pidfile..." from zabbix_agentd.conf on windows [RCN:14153]

* Thu Apr 27 2017 Hiroki Ishii <hiroki.ishii@miraclelinux.com> 3.0.9-1%{?dist}
- Update base zabbix version to 3.0.9
  - Patch24 (zabbix-ML-copyright-replacement.patch) updated, copyright year
  - Patch34 (zabbix-windows-copyright.patch) updated, copyright year
  - Patch60 (zabbix-add_macro_ITEM.TYPE.patch) changed, LLC was change DBget_item_value() behavior [ZBX-11481]
  - Patch63 (zabbix-fix_tls_mbedtls.patch) removed, LLC was fix this issue [RCN:13726] [ZBX-11101]
  - Patch65 (zabbix-first_aid_for_round_function_unimplement_solaris9.patch) created, modified algorithm without use round()
- Change Solaris 9, 10 package to make "*.conf.new" instead of "*.conf" [RCN:14003]
- Fix zabbix-web.conf for security improvement [RCN:14123]

* Tue Jan 24 2017 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.7-1%{?dist}
- Update base zabbix version to 3.0.7
- Update zabbix-ML-copyright-replacement-part2.patch (Patch25)
- Add zabbix-fix_zbx_execute_crash_by_sigpipe.patch for fixing server side
  custom script and global script crashing in action, which have stdout output
  and using other than MySQL and MariaDB as DB (Patch64)[RCN:13617]
- Generate .pdb files for zabbix_get and zabbix_sender on Windows [RCN:13971]

* Mon Nov 28 2016 Vincent Dao <vincent.dao@miraclelinux.com> - 3.0.5-1%{?dist}
- Update base zabbix version to 3.0.5
- Remove zabbix-fix_translate.patch because it is already applied in original zabbix
- Add zabbix-update_config_help_for_slow_queries.patch to support printing help configuration for LogSlowQueries option (Patch62)[RCN:13337]
- Fix incorrect comment for PidFile in AIX zabbix_agentd.conf [RCN:13567]
- Change application name and icon for Windows agent installer [RCN:13590]
- Add zabbix-fix_tls_mbedtls.patch [patch 63] for fix crash on zabbix server relevant to mbedtls [RCN:13726]

* Mon Oct 24 2016 Daiki Hamamoto <daiiki.hamamoto@miraclelinux.com> - 3.0.4-1%{?dist}
- Update base zabbix version to 3.0.4
- Add new syncspec.sh[RCN:13441]
- Add new favicon[RCN:13492]
- Add zabbix-fix_translate.patch for build[RCN:13546]
- Fix Event severity strings ade edited by "Trigger severities" menu[RCN:13474]
- Fix graph csvfile cannot output[13462]
- Remove zabbix-fix_SQL_injection_fixed_in_3.0.4.patch
- Remove zabbix-fix_delta_type_of_templated_items.patch
- Fix zabbix-java-gateway.init[RCN:13096]

* Tue Jul 26 2016 Ha Vo <ha.vo@miraclelinux.com> - 3.0.3-1%{?dist}
- Update base zabbix version to 3.0.3
- Remove zabbix-fix_delta_type_of_templated_items.patch because it is already applied in original zabbix
- Update MR-zabbix-checking_unsupported_sixth_parameter_in_proc.cpu.util_item_on_Solaris.patch to fix wrong condition of checking unsupported sixth parameter in proc.cpu.util
- Updated zabbix spec file for RCN12700 to fix package requirement definition for php54 on AMZ
- Applied KillMode=mixed for zabbix-proxy.service and zabbix-java-gateway.service to fix RCN12321: children processes will be remained in force stopping by systemd
- Backport SQL injection fix from 3.0.4 (ZBX-11023)[RCN:13092]

* Mon Apr 11 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.1-1%{?dist}
- Update base zabbix version to 3.0.1
- Unchange delta template items (Patch59)[RCN:12329]
- Remove backport patches from previous version (Patch59, Patch60)
- Remove zabbix-force_redirect_std.patch (Patch30)[RCN:12582]
- Remove unused patches (Patch2, Patch4, Patch11, Patch13, Patch15,
  Patch16, Patch17, Patch28, Patch29, Patch31, Patch37, Patch39,
  Patch47, Patch49, Patch50, Patch52, Patch53)
- Add zabbix-add_macro_ITEM.TYPE.patch to support macro {ITEM.TYPE} (Patch60)[RCN:12117]
- Add zabbix-update_to_tlsv1.patch to update TLS version (Patch61)[RCN:12489]
- Update zabbix.spec file to update php version from 5.0 to 5.4 [RCN:12604]
- Update zabbix.spec file to change from /etc/httpd/conf.d/miracle-zbx.conf" to "/etc/httpd/conf.d/zabbix.conf [RCN:12607]
- Update zabbix.spec file to change symbolic linked of /etc/zabbix/alertscripts to alertscripts directory [RCN:12603]
- Fix the spec file to use init script for ML6 java-getway and fix the rpm package dependency.

* Thu Mar 10 2016 Jack Ngo <jack.ngo@miraclelinux.com> - 3.0.0-1%{?dist}
- Update base zabbix version to 3.0.0
- Remove unnecessary library from agent, sender and get[RCN:12422]
- Add zabbix-fix_crashing_in_escalator_process.patch (Patch59)[RCN:12452]
- Add zabbix-fix_memory_leak_in_history_cache.patch (Patch60)[RCN:12453]
- Remove unused .orig files[RCN:12343]
- Rename as zabbix-agent.service[RCN:12086]
- Fix errors when install miracle-zbx-web packages[RCN:12468]
- Obsoletes zabbix, zabbix-server and zabbix-proxy package[RCN:12446]
- Provides same zabbix-* packages[RCN:12197]
- Update zabbix-web.conf for 3.0.0[RCN:12502]
- Remaking java-gateway files[RCN:12503]

* Fri Jan 29 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0beta2-1%{?dist}
- Update base zabbix version to 3.0.0beta2

* Thu Jan 14 2016 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha6-1%{?dist}
- Update base zabbix version to 3.0.0alpha6
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch8)

* Wed Dec 23 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha5-1%{?dist}
- Update base zabbix version to 3.0.0alpha5
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]

* Fri Oct 16 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha3-1%{?dist}
- Update base zabbix version to 3.0.0alpha3
- Update zabbix-windows_build.patch (Patch7)
- Update zabbix-reload_config.patch (Patch8)
- Update zabbix-add_dbupdate_option.patch (Patch35)
- Update zabbix-add-cpu_time-to-proc_info-on-windows.patch (Patch46)[RCN:11018]
- Update zabbix-unsupport_long_item_key.patch (Patch48)[RCN:11249]
- Update zabbix-fix_memory_leak_in_trendcache.patch (Patch49)[RCN:11352]
- Update zabbix-show_history_in_event.patch (Patch49)[RCN:10240]
- Update zabbix-force_redirect_std.patch (Patch30)[RCN:9359]
- Update zabbix-fix_undeclared_locations_in_sensors_file.patch (Patch55)
- Update zabbix-fix_building_windows_in_3.0.0alpha3.patch (Patch56)
- Update zabbix-remove_zabbix_agent.conf_file.patch (Patch55)[RCN:11981]

* Wed Sep 09 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 3.0.0alpha2-1%{?dist}
- Update base zabbix version to 3.0.0alpha2
- Update config.patch (Patch0) [RCN:]
- Update zabbix-2.5.0-windows_build.patch (Patch7)
- Update zabbix-2.5.0-reload_config.patch (Patch8)
- Update zabbix-2.2.6-add_event_filter.patch (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch (Patch14)[RCN:10240]
- Update zabbix-2.0.8-ML-copyright-replacement.patch (Patch24)[RCN:9257]
- Update zabbix-2.5.0-force_redirect_std.patch (Patch24)[RCN:9257]
- Update zabbix-2.2.3-add_dbupdate_option.patch (Patch35)
- Update zabbix-2.2.8-add_eventlog_ext.patch (Patch40)[RCN:11089]
- Update zabbix-2.2.7-fix_query_wrong_last_data.patch (Patch43)[RCN:10870]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:11352]
- Update zabbix-2.2.7-fix_sending_recovery_mail.patch (Patch42)[RCN:10550]
- Remove zabbix-2.2.6-fix_command_injection.patch (Patch39)[RCN:10811]
- Remove zabbix-2.2.9-add_missing_socket_closing.patch (Patch47)[RCN:11310]
- Remove zabbix-2.2.9-fix_flickerfreescreen.patch (Patch49)[RCN:11256]
- Remove zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch (Patch50)[RCN:11391]
- Remove zabbix-2.2.9-fix_warning_when_no_host_selected.patch (Patch52)[RCN:11454]
- Remove zabbix-2.2.9-add_disabling_housekeeping_feature.patch (Patch53)[RCN:11514]

* Tue May 12 2015 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.9-3%{?dist}
- Add zabbix-2.2.9-add_disabling_housekeeping_feature.patch for disabling housekeeping feature by "HousekeepingFrequency=0" (Patch53)[RCN:11514]

* Fri Apr 10 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-2%{?dist}
- Add zabbix-2.2.9-unsupport_long_item_key.patch to fix command fails when the length item key greater than MAX_STRING_LEN (Patch48)[RCN:11249]
- Add zabbix-2.2.9-fix_flickerfreescreen.patch to fix CSV output extension for graph data destroys web monitoring's "response time" graph function (Patch49)[RCN:11256]
- Add zabbix-2.2.9-escape_crashing_on_ValueCacheSize_is_0.patch to fix Zabbix servers crash on start with ValueCacheSize=0 (Patch50)[RCN:11391]
- Add zabbix-2.2.9-support_tabulardatasupport_java_type.patch to support data object type "javax.management.openmbean.TabularDataSupport" (Patch51)[RCN:11327]
- Add zabbix-2.2.9-fix_warning_when_no_host_selected.patch to fix raising WARNING in Web Interface when edit template with no host selected (Patch52)[RCN:11454]

* Wed Mar 18 2015 Vinh Hoang <vinh.hoang@miraclelinux.com> - 2.2.9-1%{?dist}
- Update base zabbix version to 2.2.9
- Update zabbix-2.2.9-reload_config.patch for add "VMwarePerfFrequency" and "VMwareTimeout" parameters configure (Patch8)
- Update zabbix-2.2.9-windows-copyright.patch to update years of copyright 2001->2015(Patch34)
- Remove zabbix-2.2.6-fix_eventlog6_itself_broken.patch because the original zabbix already fixed this problem (Patch37)[RCN:10575]
- Add zabbix-2.2.9-add-cpu_time-to-proc_info-on-windows.patch to add a new parameter atime for proc_info key (Patch46)[RCN:11018]
- Update zabbix-2.2.9-add_graph_csv_output.patch to reduce three CSV output buttoms in graph to one (Patch33)[RCN:10019]
- Add zabbix-2.2.9-add_missing_socket_closing.patch to add missing socket closing to avoid large number of opened sockets (Patch47)[RCN:11310]
- Update zabbix-2.2.9-fix_memory_leak_in_trendcache.patch to fix MIRACLE ZBX proxy crashed by trend cache removing (Patch44)[RCN:11352]

* Wed Dec 17 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.8-1%{?dist}
- Update base zabbix version to 2.2.8
- Add zabbix-2.2.8-fix_memory_leak_in_trendcache.patch (Patch44)[RCN:10993]
- Add zabbix-2.2.8-fix_zbx_item_logtype_string.patch to fix C function "zbx_item_logtype_string()" doesn't support eventlog level "critical" & "verbose" (Patch45)[RCN:11030]
- Update specfile to add BuildRequires gettext package [RCN:11015]
- Update zabbix.spec file and add After-mysqld-service.conf, After-postgresql-service.conf, zabbix-proxy.service, zabbix-server.service for [RCN:10644] 
- Update zabbix-2.2.8-add_eventlog_ext.patch to support ITEM_LOG macro for eventlog_ext (Patch40)[RCN:11089]

* Wed Oct 29 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.7-1%{?dist}
- Update base zabbix version to 2.2.7
- Update Patch8 for add "EnableSNMPBulkRequests" parameter config
- Add zabbix-2.2.7-add_eventlog_ext.patch for eventlog extend  (Patch40)[RCN:9652]
- Add zabbix-2.2.7-fix_memory_leak.patch for fixing memory leak (Patch41)[RCN:10879]
- Add zabbix-2.2.7-fix_sending_recovery_mail.patch for fixing sending recovery mail (Patch42)[RCN:10550]
- Add zabbix-2.2.7-fix_query_wrong_last_data.patch for fixing query wrong the last data for the lastest data screen (Patch43)[RCN:10870]
- Update the configuration file of zabbix_server.conf and zabbix_proxy.conf for adding the option EnableSNMPBulkRequests and change the range of Shared memory size [RCN:10871]

* Wed Oct 15 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-2%{?dist}
- Change package name rule like from "2.0.12-2ML6" to "2.0.12-2.ML6"
- Add zabbix-2.2.6-fix_command_injection.patch for fixing command injection vulnerability in "action" executing script media (Patch39)[RCN:10811]

* Thu Sep 04 2014 Sang BuiThanh <sang.buithanh@miraclelinux.com> - 2.2.6-1%{?dist}
- Update to 2.2.6
- Update zabbix-2.2.6-add_event_filter.patch for version 2.2.6-1 (Patch12)
- Update zabbix-2.2.6-show_history_in_event.patch for version 2.2.6-1 (Patch14)[RCN:10240]
- Update zabbix-2.2.6-fix_format_message_crash.patch for version 2.2.6-1 (Patch36)
- Update specfile to change the file included in java-gateway binary from org-json-2010-12-28.jar to android-json-4.3_r3.1.jar
- Update zabbix-2.2.6-datasql.patch for fixing PostgreSQL + ZBX should show Japanese interface as default (Patch1)[RCN:10268]
- Fix "Zabbix" string to "MIRACLE ZBX" and "www.zabbix.com" to "www.miraclelinux.com" in spec file [RCN:10278]
- Add zabbix-2.2.6-fix_eventlog6_itself_broken.patch for the eventlog itself is broken (Patch37)[RCN:10575]
- Add ML7, RHEL7, CentOS7 support with systemd support [RCN:10644]
- Add zabbix-2.2.6-fix_eventlog_message_logic.patch for fixing eventlog message login (Patch38)[RCN:9697]

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1a%{?dist}
- Replace background.png

* Thu May 15 2014 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.2.3-1%{?dist}
- Update base zabbix version to 2.2.3
- Add zabbix-2.2.3-add_dbupdate_option.patch for dividing dbupdate operation from usual daemon starting.
- Add zabbix-2.2.3-fix_format_message_crash.patch for fixing FormatMessage() crash in eventlog reading.

* Thu Oct 31 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-3%{?dist}
- Add skip old data parameter to eventlog6[] (Patch31)[RCN:9594]
- Fix eventlog[] which call free() twice in some specific situation (Patch29)[RCN:9594]
- Fix eventlog[] message (Patch29)(Patch5)[RCN:9594]

* Fri Oct 04 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 2.0.8-2%{?dist}
- Update for avoiding init script failure if /etc/zabbix/init/ doesn't have any file [RCN:9071]
- Add backporting patch zabbix-2.0.8-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch32)[RCN:9498]
- Add zabbix-2.0.8-add_graph_csv_output.patch for adding csv output button for graph (Patch33)[RCN:9427]
- Add backporting zabbix-2.0.8-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch34)[RCN:9463]
- Update MIRACLE ZBX version number to web frontend.(Patch24)[RCN:9257]
- Fix lockfile name problem in init script same as init script name [RCN:9526]

* Tue Sep 03 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.8-1%{?dist}
- Update base zabbix version to 2.0.8
- Add zabbix-2.0.8-host-import.patch for fix failed import host importing (Patch25)[RCN:9335]
- Add zabbix-2.0.8-hpux_compat.patch fix hp-ux condition compatibility (Patch26)[RCN:9302]
- Updated zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Updated zabbix.spec to fix zabbix_server.conf permission [RCN:9107]
- Updated init for execute script in /etc/zabbix/init/ [RCN:9071]
- Add zabbix-2.0.8_long_telnet_command_fix.patch for fix unneeded characters error in zabbix telnet (Patch27)[RCN:8657]
- Add zabbix-2.0.8-avoid_proxy_stopping.patch avoid stopping of the Zabbix proxy (Patch28)[RCN:8645]
- Add zabbix-2.0.8-fix_eventlog_message_logic.patch for fix eventlog message logic (Patch29)[RCN:8373]
- Add zabbix-2.0.8-force_redirect_std.patch fix alerter outputs log after is been logrotated (Patch30)[RCN:9359]
- Update zabbix.spec for OS compatibility reason and added %_default_patch_fuzz 2 [RCN:9367][RCN:9364]
- Add patch zabbix-2.0.8-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch31)[RCN:7086]
- Update zabbix-2.0.8-ML-copyright-replacement.patch fix zabbix SIA version in the copyright (Patch24)[RCN:9389]
- Update zabbix-2.0.8-fix_some_log.patch add some log message for supplying better support (Patch22)[RCN:8694]

* Tue Aug 06 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.7-1%{?dist}
- update to 2.0.7
- Fix history column in event page (Patch14) [RCN:9276]

* Mon May 20 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.6-1%{?dist}
- update to 2.0.6
- Fix Logo, trademark and copyright (Patch24) [RCN:8720]
- Add some log message for supplying better support (Patch22) [RCN:8694]
- Fix possibility of not sending some data for Proxy Data Sender (Patch23) [RCN:8646]

* Thu Feb 14 2013 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.5-1%{?dist}
- update to 2.0.5
- Updated spec file for compatibilty with Amazon EC2.
- Update fix for add event filter (Patch12).
- Fix support for HP-UX 11i2 and earlier version (Patch19).
- Fix snmp check timeout on zabbix server (Patch20) (ZBX-4393).
- Add if lastclock is zero avoid evaluate nodata (Patch21) (ZBX-6134).

* Wed Dec 12 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.4-1%{?dist}
- Update to 2.0.4
- Removed patch fix sigbus crash in HP-UX and Solaris already merged upstream (Patch15).
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (Patch17).
- Fix windows 2000 using dinamically load Dnsapi.dll (ZBX-5883)(Patch18).
- Updated spec file for remove .orig from database.

* Tue Oct 30 2012 Alice Ferrazzi <Alice.Ferrazzi@miraclelinux.com> - 2.0.3-1%{?dist}
- Update to 2.0.3
- Fixed to fit new version (Patch2)
- Fixed to fit new version (Patch3)
- Fixed to fit new version (Patch7)
- Fixed to fit new version (Patch8)
- Fixed to fit new version (Patch11)
- Add additional event filter (Patch12)
- Fix java gateway pid (Patch13)
- Add show history column in event page (Patch14)
- Fix sigbus crash in HP-UX and Solaris (Patch15)
- Update zabbix.spec file
- Update zabbix-java-gateway.init to wait zabbix java gateway completely killed.
- Fix java log directory (Patch16)
- Update zabbix.spec file because as write in the Zabbix documentation only scheme.sql is needed on Zabbix proxy packages.
- Updated file zabbix-agent.init.aix fix the right path of the configuration file for Zabbix-agent.
- Added requires conditional in zabbix.spec file for Java Gateway package ML5 jdk ML6 Java.
- Replaced logo.

* Fri Jul 13 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 2.0.1-1%{?dist}
- Update to 2.0.1
- Remove patches for 1.8
- Add patches for 2.0

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Fri Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Thu Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Wed May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
